#include <stdio.h>
#include <stdlib.h>



int main()
{
    char c1, c2;
    int a1, a2, z, i;
    scanf("%c%c", &c1, &c2);
    scanf("%d %d", &a1, &a2);
    z= a1 + a2;
    int niz[z];
    if (abs(a1-a2)>1){
        printf("nemoguce");
    }
    else {
        for(i=1;i<=z;i++){
            if(i%2==1)printf("%c",c1);
            else printf("%c",c2);
        }
    }
    return 0;
}